package com.chenyang.nse.bussiness.webtools.entity.vo;

import java.util.List;

public class ProcedureVO {
   private String owner;
   private String proceName;
   private Boolean valid;
   private String type;
   private List<ProcedureParam> param;
   private String text;

   public String getOwner() {
      return this.owner;
   }

   public String getProceName() {
      return this.proceName;
   }

   public Boolean getValid() {
      return this.valid;
   }

   public String getType() {
      return this.type;
   }

   public List<ProcedureParam> getParam() {
      return this.param;
   }

   public String getText() {
      return this.text;
   }

   public void setOwner(final String owner) {
      this.owner = owner;
   }

   public void setProceName(final String proceName) {
      this.proceName = proceName;
   }

   public void setValid(final Boolean valid) {
      this.valid = valid;
   }

   public void setType(final String type) {
      this.type = type;
   }

   public void setParam(final List<ProcedureParam> param) {
      this.param = param;
   }

   public void setText(final String text) {
      this.text = text;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ProcedureVO)) {
         return false;
      } else {
         ProcedureVO other = (ProcedureVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$owner = this.getOwner();
            Object other$owner = other.getOwner();
            if (this$owner == null) {
               if (other$owner != null) {
                  return false;
               }
            } else if (!this$owner.equals(other$owner)) {
               return false;
            }

            Object this$proceName = this.getProceName();
            Object other$proceName = other.getProceName();
            if (this$proceName == null) {
               if (other$proceName != null) {
                  return false;
               }
            } else if (!this$proceName.equals(other$proceName)) {
               return false;
            }

            Object this$valid = this.getValid();
            Object other$valid = other.getValid();
            if (this$valid == null) {
               if (other$valid != null) {
                  return false;
               }
            } else if (!this$valid.equals(other$valid)) {
               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            Object this$param = this.getParam();
            Object other$param = other.getParam();
            if (this$param == null) {
               if (other$param != null) {
                  return false;
               }
            } else if (!this$param.equals(other$param)) {
               return false;
            }

            Object this$text = this.getText();
            Object other$text = other.getText();
            if (this$text == null) {
               if (other$text != null) {
                  return false;
               }
            } else if (!this$text.equals(other$text)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof ProcedureVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $owner = this.getOwner();
      result = result * 59 + ($owner == null ? 43 : $owner.hashCode());
      Object $proceName = this.getProceName();
      result = result * 59 + ($proceName == null ? 43 : $proceName.hashCode());
      Object $valid = this.getValid();
      result = result * 59 + ($valid == null ? 43 : $valid.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $param = this.getParam();
      result = result * 59 + ($param == null ? 43 : $param.hashCode());
      Object $text = this.getText();
      result = result * 59 + ($text == null ? 43 : $text.hashCode());
      return result;
   }

   public String toString() {
      return "ProcedureVO(owner=" + this.getOwner() + ", proceName=" + this.getProceName() + ", valid=" + this.getValid() + ", type=" + this.getType() + ", param=" + this.getParam() + ", text=" + this.getText() + ")";
   }
}
